
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c语言-关于C语言指针的操作问题 / iVAN</title>

    <meta name="description" content="c语言-关于C语言指针的操作问题 问题描述 关于C语言指针的操作问题 代码: include main(){ int a = 3 ; int b = 4 ; int *p1 ; int *p2 ; p1 = &amp;a ; p2 = &amp;b ; printf(&quot;%dn&quot;,p1); printf(&quot;%dn&quot;,p2); int c ; c = p1 - p2 ; printf(&quot;%dn&quot;,c); } 运行结果: 2293304 2293300 1 Process e ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c语言-关于C语言指针的操作问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于C语言指针的操作问题
        </dt>
<dd>
          <br />代码：</p>
<h1>include</h1>
<p>main(){<br />
    int a = 3 ;<br />
    int b = 4 ;<br />
    int *p1 ;<br />
    int *p2 ;<br />
    p1 = &amp;a ;<br />
    p2 = &amp;b ;<br />
    printf("%dn",p1);<br />
    printf("%dn",p2);<br />
    int c ;<br />
    c = p1 - p2 ;<br />
    printf("%dn",c);<br />
}<br />
运行结果：<br />
2293304<br />
2293300<br />
1</p>
<hr>Process exited after 0.1434 seconds with return value 2<br />
请按任意键继续. . .<br />
问题：既然p1 = 2293304  . p2 = 2293300 .<br />
c = p1 - p2 ; 那么c就应该是 4 啊。为什么结果是1 呢？这个1表示什么意思？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>是p1和p2所指地址的单位差值，在这里是<a href="http://img.ask.csdn.net/upload/201505/06/1430895619_721523.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmFzay5jc2RuLm5ldC91cGxvYWQvMjAxNTA1LzA2LzE0MzA4OTU2MTlfNzIxNTIzLnBuZw==.jpg"></a></p>
<p>解决方案二：<br />
    <br />指针运算的单位是多少个类型而不是多少个字节。<br />
4个字节正好是1个int，所以是1啊。</p>
<p>如果按字节算，一个结构的指针 +48，移动了几个成员？你猜！你猜啊！！</p>
<p>解决方案三：<br />
    <br />c = (void *)p1 - (void *)p2;<br />
这样就是4<br />
指针想减得到的是地址差/sizeof(指针类型)</p>
<p>解决方案四：<br />
    <br />指针的这个特性使得它很方便对数组循环，比如<br />
int *p = new int[10];<br />
for (int i = 0; i &lt; 10; i++)<br />
*p++ = i;<br />
每次正好移动到下一个整数的位置。</p>
<p>解决方案五：<br />
    <br />你现在计算的是地址的差值，不是指针所指向内容的差值<br />
c=*p1-*p2就行了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 08:03:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80/" title="c语言">c语言</a>, <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c/" title="操作">操作</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c语言-关于C语言指针的操作问题的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWWlOp.html" rel="bookmark">malloc-C语言中的字符指针操作问题，如何释放字符指针空间？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言中的字符指针操作问题,如何释放字符指针空间? 源码如下: #include #include #include void main() { char s1; char *s2 = &quot;bbb&quot;; char *s3 = &quot;ccc&quot;; s1 = (char)malloc(sizeof(s2)); strcpy(s1, s2); strcat(s1, s3); //free(s2); //free(s3); printf(&quot;%s &quot;, s			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwLamvb.html" rel="bookmark">c语言，形参是指针的引用，和形参是指针，两者结果不同，求指点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c语言,形参是指针的引用,和形参是指针,两者结果不同,求指点 自定义的头文件 typedef struct BiTNode { int data; struct BiTNode *lchild, *rchild; }BiTNode, *BiTree; 如下是使用形参是指针的引用的函数,结果是正确的 #include &quot;BiTree.h&quot; #include &quot;stdlib.h&quot; #include &quot;stdio.h&quot; bool Delete			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBYAwz.html" rel="bookmark">C语言二维数组指针问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言二维数组指针问题 如下两个代码,第一个代码会停止运行,而第二个能得出正确结果...这两个代码的不同之处不应该是等价的吗?为什么会造成这种完全相反的结果? #include&lt;stdio.h&gt; void main() { void ave(float *p,int m); float a[3][4]={{65,66,67,68},{78,79,80,71},{54,78,65,54}}; ave(*a,12); } void ave(float *p,int m) { float			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN0LQWz.html" rel="bookmark">用C语言实现单链表的各种操作&lpar;二&rpar;&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇文章&lt;用C语言实现单链表的各种操作(一)&gt;主要是单链表的一些最基本的操作,下面,主要是一些其他的典型的算法和测试程序. 复制代码 代码如下: /* 对单链表进行排序处理*/struct LNode *sort(struct LNode *head){  LinkList *p;  int n,i,j;  int temp;  n = ListLength(head);  if(head == NULL || head-&gt;next == NULL)    return head; 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYJdAM.html" rel="bookmark">函数指针 c语言 指针-C语言指向函数的指针的调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言指向函数的指针的调用 int *d_bubblesort(int a[]int n)//数组长度为n的冒泡降序排序{int ij;int temp;for(i=0;i {for(j=n-1;j&gt;i;j--){if(a[j]&gt;a[j-1]){temp=a[j-1];a[j-1]=a[j];a[j]=temp;} }}return(a);} void main(){int i;int *p;int a[10]={65412398710};int (*fun)(intint);fun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDYVq0b.html" rel="bookmark">c语言-C语言结构体的指针问题。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言结构体的指针问题. struct GenInfo { uint64_t (*next)(struct GenInfo * const); enum GeneratorType type; union { struct GenInfo_Constant constant; struct GenInfo_Counter counter; struct GenInfo_Discrete discrete; struct GenInfo_Exponential exponential;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1RBmb.html" rel="bookmark">c语言 排序题（指针）  指针我学的不是很好，请问我的代码哪里有问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c语言 排序题(指针) 指针我学的不是很好,请问我的代码哪里有问题? 描述 将输入的四个整数按由大到小的顺序输出. 已定义如下swap函数,可实现形参pa和pb所指内存单元的内容交换.请务必使用本函数实现两个变量内容的互换. void swap( int *pa, int *pb) { int t; t=*pa; *pa=*pb; *pb=t; } 输入 输入包含多组数据,每组输入4个整数,用空格隔开. 输出 根据每组输入,输出排序后的4个整数,由空格隔开.输出占一行. 样例输入 4			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WkJ8b.html" rel="bookmark">struct-C语言结构体变量指针问题，求助</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言结构体变量指针问题,求助 #include #include #include #define N 10 typedef struct { char name[10]; double price; struct { int year;int month;int day ;}date; }STREC; int fun(STREC a,double p) { int i,j=0; double q; for(i=0; i &lt; N ; i++,a++) { q=a-&gt;price; i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVXv1b.html" rel="bookmark">c语言 计算机二级 字符指针</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c语言 计算机二级 字符指针 我认为该选c,但标准答案给的a 求解啊 解决方案 #include &lt;stdio.h&gt; int main() { char a[] = &quot;china&quot;, *p; p = a; printf(&quot;%c %c &quot;, *p, a[0]); //c c 两值相等 C也是对的 printf(&quot;%p %p &quot;, p, a);//0x7fffcdfc9220 0x7fffcdfc9220 我觉得A不是对的,虽然			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4XW8z.html" rel="bookmark" class="title">webhtmleditor 使用</a>
					<div>
						web webhtmleditor 使用  1.下载 WebhtmlEditor demo 1.0 2.虚拟目录下安装完毕3.在 IE中打开  http://localhost/安装目录/defaul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYleVb.html" rel="bookmark" class="title">百度算法再更新 官方澄清K站事件</a>
					<div>
						前几日,网上针对百度在6月22日以及6月28日对大量网站降低收录,甚至K站的行为吵的沸沸扬扬.对此百度终于在今天发布了关于6.22和6.28事件的公告:&lt;针对低质量站点的措施已经生效&gt;.公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBPPvb.html" rel="bookmark" class="title">c&num; 4&period;0新特性一览</a>
					<div>
						终于静下心来仔细听了一遍Anders Hejlsberg(Visual Studio组的TECHNICAL FELLOW,C#的设计者之 一)在PDC08上讲的&quot;The Future of  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOOlab.html" rel="bookmark" class="title">在SharePoint中使用SilverLight的注意事项</a>
					<div>
						在SharePoint中使用SilverLight,说起来虽然简单,但是还是折腾了我一些时间: 在SharePoint中使用SilverLight注意事项 首先,需要将Silverlight程序中产生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKV1EM.html" rel="bookmark" class="title">智能布线加强网络安全</a>
					<div>
						在构建新的网络系统时,网络安全是广大用户的首要考虑因素.一般情况下,用户都愿意投入巨资来购买高级的防火墙和软件.然而,绝大多数的用户却对网络基础设施即布线系统的安全知之甚少.事实上,大量的调查数据显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4xqVp.html" rel="bookmark" class="title">修改ORACLE的DATAFILE文件名</a>
					<div>
						今天增加数据文件时,将数据库文件名多填了一个点,虽然也能使用,但在操作系统察看文件时却感觉很不爽,查了一些资料,修改方法总结如下: 1. 关闭数据库 SQLPLUS /NOLOG SHUTDOWN;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wJqPp.html" rel="bookmark" class="title">Delphi与DirectX之DelphiX&lpar;72&rpar;&colon; TDIB&period;SephiaEffect&lpar;&rpar;&semi;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN1OZb.html" rel="bookmark" class="title">Acegi&lpar;十一&rpar;&colon;借鉴Acegi的Exception的异常处理</a>
					<div>
						今天改项目中的一个问题时, 不由自住地想到了Acegi异常处理. 现在相比项目中的异常处理后, 很是感叹Acegi对异常的处理呀. 先大致回忆下Acegi里的异常处理. 这里说Acegi的异常处理是指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBVAAb.html" rel="bookmark" class="title">演化架构与紧急设计：对设计进行重构</a>
					<div>
						在 &quot;测试驱动设计,第 1 部分&quot; 和 &quot;测试驱动设计,第 2 部分&quot; 中,我 介绍了测试如何为新的项目实现更好的设计.在 &quot;组合方法和 SLAP&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2419b.html" rel="bookmark" class="title">数据库组件 Hxj&period;Data （十六） （查询的字段）</a>
					<div>
						在查询没有设置查询字段,组件默认是返回所有字段信息,即select * from table 那在查询中如何设置需要返回的字段信息呢? 在之前几节中的例子已经存在设置查询字段,是通过 select方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1Pynz.html" rel="bookmark" class="title">PS绘制3D图标教程</a>
					<div>
						教程像三联的PS鼠绘学习者用PS绘制3D图标教程,教程难度不大,绘制出来的图标挺漂亮的,质感也很强,转发过来和三联的朋友们一起分享学习了,先来看看最终的效果图吧:         三联推荐:photo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPZAOz.html" rel="bookmark" class="title">PPT如何制作3D效果的文字</a>
					<div>
						  打开幻灯片软件,然后输入要制作3d效果的文字,之后点击菜单栏中的格式,打开格式工具栏,点击&quot;文字效果&quot;工具 点击文字效果,打开文字效果菜单栏,然后选择&quot;三维旋转&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Pn8M.html" rel="bookmark" class="title">win7系统下如何将五笔输入法在最顶端显示？</a>
					<div>
						  我想现在的很多年轻人对于拼音比较在行,所以在电脑上大都是安装搜狗打字法.但是大家可能忘记现在有很多中年甚至老年人都在使用电脑,他们往往更加钟情于五笔输入.年轻人举一反三的能力较好,相对于年轻人的机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAry9np.html" rel="bookmark" class="title">Win8系统下用360恢复开始菜单以便快速打开控制面板</a>
					<div>
						  1.安装了360安全卫士,默认会连带安装360软件管家,软件管家仔左下角的地方会出现一个图标类似于之前操作系统的开始菜单. 2.将鼠标移动到图标上面,图标会弹出一个开始菜单框,如果没有弹出,单击一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwlxmb.html" rel="bookmark" class="title">故障控制台使用方法</a>
					<div>
						  故障恢复控制台是Windows XP中专用于修复系统的工具,它可以启用和禁用服务.格式化驱动器.在本地驱动器上读写数据,并执行许多其他管理任务,是我们连Windows XP安全模式都无法进入时修复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdojOM.html" rel="bookmark" class="title">文件如何批量改名</a>
					<div>
						  首先,按组合键ctrl+A选中所有目标文件,接着在文件右键菜单中点击&quot;重命名&quot;,比如主题为风景,小编便输入&quot;风景1&quot;.确定后,神奇的事情发生了!此时我们可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPBx1p.html" rel="bookmark" class="title">tomcat-Tomcat在eclipse中无法启动</a>
					<div>
						问题描述 Tomcat在eclipse中无法启动 解决方案 提示空指针异常了,要是代码没有问题,先clean一下,再发布启动试一试! 解决方案二: 这里都能报空指针?把tomcat配置全干掉再配置一遍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRqegz.html" rel="bookmark" class="title">金蝶eas-求推荐取数工具能取金蝶eAS的账簿，试过了审计大师的取数工具取不了。。</a>
					<div>
						问题描述 求推荐取数工具能取金蝶eAS的账簿,试过了审计大师的取数工具取不了.. 求推荐取数工具能取金蝶eAS的账簿,试过了审计大师的取数工具取不了.. 解决方案 可以用数据提取大师2015光碟版提取					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNDyKz.html" rel="bookmark" class="title">数据分析师的基本素养&mdash;&mdash;论如何成为一名数据科学家 Part 2</a>
					<div>
						更多深度文章,请关注: https://yq.aliyun.com/cloud 本文为&lt;数据分析师的基本素养--论如何成为一名数据科学家&gt;文章的第二部分,第一部分请点击这里. Pronoj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6qe7z.html" rel="bookmark" class="title">智慧城市促进国家治理能力提升</a>
					<div>
						近期召开的中央城市工作会议提出着力打造智慧城市的新要求.发展智慧城市同国家治理能力提升和城市治理水平提高紧密相关,是一个值得高度重视并深入探讨的问题. 智慧城市的本质 当前,我国发展的环境.条件.任务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqgPBb.html" rel="bookmark" class="title">STL中Algorithm</a>
					<div>
						来源:没有代码的日子 toupper,tolower地球人都知道 C++ 的 string 没有 toupper ,好在这不是个大问题,因为我们有 STL 算法: string s(&quot;heL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBKN8M.html" rel="bookmark" class="title">请问这个怎么解决-VS2015未找到导入项目</a>
					<div>
						问题描述 VS2015未找到导入项目 解决方案 这个是在载入Shared Project的时候,或者新建Shared Project也会出现,如果共享项目中没有xaml的内容,可以尝试以下办法:64位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKWgLp.html" rel="bookmark" class="title">数据技术产品Top100盘点&comma;共话数据营销未来与方向</a>
					<div>
						2014的互动营销圈,&quot;程序化购买&quot;与&quot;大数据&quot;成为最大的热议话题.百度阿里.腾讯.谷歌.360等流量大盘的效果数据导向的广告营销在整体市场中的占比接近70%. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M122vop.html" rel="bookmark" class="title">《Arduino计算机视觉编程》一第3章 用OpenCV和Arduino进行数据采集3&period;1　图像和视频采集</a>
					<div>
						本节书摘来自华章出版社&lt;Arduino计算机视觉编程&gt;一书中的第3章,第3.1节,作者［土耳其］ 欧森·奥兹卡亚(zen zkaya),吉拉伊·伊利茨(Giray Yilliki),更多章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqyZvb.html" rel="bookmark" class="title">android-安卓开发关于v4包的导入问题</a>
					<div>
						问题描述 安卓开发关于v4包的导入问题 我在ADT里新创建了一个安卓项目,里面的Android Private Libraries和libs文件夹里就已经有android-suupport-v4.ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12JXap.html" rel="bookmark" class="title">TG-NET多万兆、全万兆S6500 S6200交换机系列评测</a>
					<div>
						当前计算机虽然普遍具备千兆的网络接口,但实际的传输速率往往无法达到.即便如此,也已经令企业的千兆网络不堪重负.如何才能令企业网络平滑向万兆过渡,这个问题也一直困扰着企业的http://www.aliy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEJnKM.html" rel="bookmark" class="title">红杉中国合伙人刘星采访：跑道与选手</a>
					<div>
						口述:红杉中国合伙人刘星 采访.整理:本报记者 赵晓悦 跑道与选手 唯品会做折扣闪购,最初切入的是服装库存市场.这个模式的库存风险低,卖不完的可以退货;抢购本身也与中国人的消费心理比较匹配. 但唯品会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5VdWz.html" rel="bookmark" class="title">iphone丢了怎么办？find my iphone应用实战演练</a>
					<div>
						find my iphone,从名字就可以知道这是一款帮你寻找丢失了的iphone的程序,以前只是知道,一直没有试过,今天找时间测试了一下,分享一下使用心得,希望能对大家有帮助. 用法: 1.先在你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK16Wz.html" rel="bookmark" class="title">C&num;怎样用sql联合多个数据库查询表，这几个表的字段都是一样的。</a>
					<div>
						问题描述 我是这么连接的selectDZInfo.dbo.Brand.*,QRInfo.dbo.Brand.*fromDZInfo.dbo.Brand,QRInfo.dbo.Brand可是它报这个错F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKYRnz.html" rel="bookmark" class="title">IDC：2015年第四季度全球WLAN市场增幅最高</a>
					<div>
						全球消费级和企业级无线局域网络(WLAN)市场在2015年第四季度同比增长了1.4%,2015年全年下滑0.3%. 根据IDC发布的全球WLAN季度追踪报告结果显示,企业细分市场在2015年第四季度同 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
